<template>
  <Line :data="data" :options="options" />
</template>
<script setup lang="ts">
import {
  Chart as ChartJS,
  CategoryScale,
  LinearScale,
  PointElement,
  LineElement,
  Title,
  Tooltip,
  Legend
} from 'chart.js'
import { Line } from 'vue-chartjs'

ChartJS.register(CategoryScale, LinearScale, PointElement, LineElement, Title, Tooltip, Legend)
const data = {
  labels: ['9:00', '10:00', '11:00', '12:00', '13:00', '14:00', '15:00', '16:00'],
  datasets: [
    {
      label: 'Sales',
      backgroundColor: '#fff',
      borderColor: 'brown',
      borderWidth: 2,
      data: [0, 200, 350, 220, 350, 400, 240, 100]
    }
  ]
}

const options = {
  responsive: true,
  maintainAspectRatio: false,
  plugins: {
    legend: {
      display: false
    }
  },
  scales: {
    x: {
      grid: {
        color: 'rgba(255, 255, 255, 0.2)'
      },
      ticks: {
        color: 'white'
      }
    },
    y: {
      grid: {
        color: 'rgba(255, 255, 255, 0.2)'
      },
      ticks: {
        color: 'white'
      }
    }
  }
}
</script>
